using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class SKeyMapArray
    {
        public static implicit operator SKeyMapArray(SKeyMap[] other)
        {
            var arr = new SKeyMapArray(other.Length);
            for (int i = 0; i < other.Length; i++)
            {
                arr.setitem(i, other[i]);
            }
            return arr;
        }
    }
}
